import javafx.scene.paint.Color;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;
import javafx.scene.shape.Rectangle.*;

/**
 * This class creates and can display a rectangle on the canvas.
 *
 * @author Dave Slemon
 * @version v100
 */
public class Rectangle
{
    //static variable
    public static int nextRectId;
    
    //instance variables
    private double length;
    private double width;
    private int topLeft_x;
    private int topLeft_y;
    private Color fillColor;
    private Color borderColor;
    
    
    public Rectangle() {
        this(100,200);
    }
    
    
    
    public Rectangle(double length, double width) {
        this(length, width, Color.YELLOW, Color.RED, 200,300);
    }
    
    
    
    public Rectangle(double length, double width, Color fillColor, Color borderColor, int x, int y)
    {
        this.length = length;
        this.width  = width;
        this.fillColor = fillColor;
        this.borderColor = borderColor;
        topLeft_x = x;
        topLeft_y = y;
        
        nextRectId = nextRectId + 1;
    }
    
    
    
    public void draw( GraphicsContext gc)
    {
       gc.setFill(fillColor);
       gc.fillRect(topLeft_x,topLeft_y, width, length);
       
       
       gc.setStroke(borderColor);
       gc.strokeRect(topLeft_x,topLeft_y,  width, length);
    
    }
    
    
    
    public String toString() {
        return "Rectangle #" + nextRectId + ": " + "length = " + length + "  width = " + width;
    }
    
    
}
