import javafx.scene.paint.Color;
import javafx.scene.canvas.Canvas;
import javafx.scene.canvas.GraphicsContext;


/**
 * This class creates and displays a triangle on the canvas.
 *
 * @author Dave Slemon
 * @version v100
 */
public class Triangle
{
   
       
       //instance variables
           private double ax;
           private double ay;
           private double bx;
           private double by;
           private double cx;
           private double cy;
           private Color fillColor;
           
           
           
            
           
           Triangle(double ax, double ay, double bx, double by, double cx, double cy)
           {
 
               this(ax,ay,bx,by,cx,cy,Color.GREEN);
           }
           
           
           
           
           
          
           
           Triangle(double ax, double ay, double bx, double by, double cx, double cy, Color fillColor)
           {
               this.ax = ax;
               this.ay = ay;
               this.bx = bx;
               this.by = by;
               this.cx = cx;
               this.cy = cy;
               this.fillColor = fillColor;
           }
           
           
           
           
    
        public void draw( GraphicsContext gc)
        {
               
             double[] x_values = new double[3];
             double[] y_values = new double[3];
             
             x_values[0] = ax;   y_values[0] = ay;
             x_values[1] = bx;   y_values[1] = by;
             x_values[2] = cx;   y_values[2] = cy;
             
             gc.setFill(fillColor);
             gc.fillPolygon(x_values, y_values,3);

        
        }
        
        
        
        
        
        
        public String toString() {
            return "Triangle " + ": (" + ax + " , " + ay + ")   ("+ bx + " , " + by + ")   (" + cx + " , " + cy + ")" ;
        }
               
           
   
}
